> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Browse Audits

> A `GET` to the `/audits` endpoint allows your application to retrieve all audits.



## OpenAPI

````yaml get /v3/audits
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/audits:
    get:
      tags:
        - Audit
      summary: Browse Audits
      description: >-
        A `GET` to the `/audits` endpoint allows your application to retrieve
        all audits.
      operationId: audits.index
      parameters:
        - name: page[size]
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Array of `Audit`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Audit'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
components:
  schemas:
    Audit:
      type: object
      properties:
        id:
          type: integer
        user_id:
          type:
            - integer
            - 'null'
        event:
          type: string
        auditable_type:
          type: string
        auditable_id:
          type:
            - integer
            - 'null'
        old_values:
          type:
            - array
            - 'null'
          items: {}
        new_values:
          type:
            - array
            - 'null'
          items: {}
        url:
          type:
            - string
            - 'null'
        ip_address:
          type:
            - string
            - 'null'
        profile_id:
          type:
            - string
            - 'null'
        location_id:
          type:
            - integer
            - 'null'
        location:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            name:
              type: string
            handle:
              type: string
            external_id:
              type: string
          required:
            - id
            - name
            - handle
            - external_id
        staff_id:
          type:
            - string
            - 'null'
        staff:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            first_name:
              type: string
            last_name:
              type: string
            email:
              type: string
          required:
            - id
            - first_name
            - last_name
            - email
        token_name:
          type:
            - string
            - 'null'
        user_agent:
          type:
            - string
            - 'null'
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - user_id
        - event
        - auditable_type
        - auditable_id
        - old_values
        - new_values
        - url
        - ip_address
        - profile_id
        - location_id
        - location
        - staff_id
        - staff
        - token_name
        - user_agent
        - created_at
        - updated_at
      title: Audit
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````